# std::basic_streambuf<CharT,Traits>::operator=

From cppreference.com
< cpp‎ | io‎ | basic streambuf

basic_streambuf& operator=( const basic_streambuf& other ); |  | (since C++11)

Assigns the data members of `other` to *this.

### Parameters

other | - | stream buffer to assign

### Return value

*this

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_streambuf/operator%3D&oldid=105208"